Discover processes
curl --request POST \
--url https://useorgx.com/api/v1/discovery-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"workspace_id": "98608ef9-3fc8-4e9a-8ae4-5f80e214cfab"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({workspace_id: '98608ef9-3fc8-4e9a-8ae4-5f80e214cfab'})
};
fetch('https://useorgx.com/api/v1/discovery-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/discovery-runs"
payload = { "workspace_id": "98608ef9-3fc8-4e9a-8ae4-5f80e214cfab" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"run": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"mode": "bounded_sync",
"status": "queued",
"initiatedBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"query": "launch readiness",
"sourceKinds": [
"work"
],
"sourceCursors": {},
"observationCount": 0,
"candidateProcessCardCount": 0,
"citationCount": 0,
"costMicros": "120000",
"confidence": 0,
"startedAt": "2026-08-18T18:30:00.000Z",
"completedAt": "2026-08-18T18:30:00.000Z",
"sourceHealth": [
{
"sourceId": "92340ce0-9843-48dc-8014-d7c21c191b23",
"sourceKind": "work",
"status": "connected",
"cursor": "evt_01J5Y8R4K2",
"lastSuccessfulSyncAt": "2026-08-18T18:30:00.000Z",
"recordsObserved": 0,
"errorCode": null,
"limitations": [
"No limitations reported."
]
}
],
"limitations": [
"No limitations reported."
]
},
"observations": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"sourceKind": "work",
"sourceCursor": "evt_01J5Y8R4K2",
"observedAt": "2026-08-18T18:30:00.000Z",
"capturedAt": "2026-08-18T18:30:00.000Z",
"kind": "work",
"facts": {},
"evidenceRefs": [
{}
],
"claimStatus": "observed",
"confidence": 0,
"freshnessWatermark": "2026-08-18T18:30:00.000Z",
"transformationVersion": "work-v1"
}
],
"processCards": [
{
"processCandidateRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"displayName": "Review the launch plan",
"observedCount": 0,
"confidence": 0,
"automationReadiness": 0
}
],
"confirmedProcessRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"data": {
"run": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"mode": "bounded_sync",
"status": "queued",
"initiatedBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"query": "launch readiness",
"sourceKinds": [
"work"
],
"sourceCursors": {},
"observationCount": 0,
"candidateProcessCardCount": 0,
"citationCount": 0,
"costMicros": "120000",
"confidence": 0,
"startedAt": "2026-08-18T18:30:00.000Z",
"completedAt": "2026-08-18T18:30:00.000Z",
"sourceHealth": [
{
"sourceId": "92340ce0-9843-48dc-8014-d7c21c191b23",
"sourceKind": "work",
"status": "connected",
"cursor": "evt_01J5Y8R4K2",
"lastSuccessfulSyncAt": "2026-08-18T18:30:00.000Z",
"recordsObserved": 0,
"errorCode": null,
"limitations": [
"No limitations reported."
]
}
],
"limitations": [
"No limitations reported."
]
},
"observations": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"sourceKind": "work",
"sourceCursor": "evt_01J5Y8R4K2",
"observedAt": "2026-08-18T18:30:00.000Z",
"capturedAt": "2026-08-18T18:30:00.000Z",
"kind": "work",
"facts": {},
"evidenceRefs": [
{}
],
"claimStatus": "observed",
"confidence": 0,
"freshnessWatermark": "2026-08-18T18:30:00.000Z",
"transformationVersion": "work-v1"
}
],
"processCards": [
{
"processCandidateRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"displayName": "Review the launch plan",
"observedCount": 0,
"confidence": 0,
"automationReadiness": 0
}
],
"confirmedProcessRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Discovery runs
Discover processes
Analyze connected company signals and return process candidates with source evidence.
POST
/
discovery-runs
Discover processes
curl --request POST \
--url https://useorgx.com/api/v1/discovery-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"workspace_id": "98608ef9-3fc8-4e9a-8ae4-5f80e214cfab"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({workspace_id: '98608ef9-3fc8-4e9a-8ae4-5f80e214cfab'})
};
fetch('https://useorgx.com/api/v1/discovery-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/discovery-runs"
payload = { "workspace_id": "98608ef9-3fc8-4e9a-8ae4-5f80e214cfab" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"run": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"mode": "bounded_sync",
"status": "queued",
"initiatedBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"query": "launch readiness",
"sourceKinds": [
"work"
],
"sourceCursors": {},
"observationCount": 0,
"candidateProcessCardCount": 0,
"citationCount": 0,
"costMicros": "120000",
"confidence": 0,
"startedAt": "2026-08-18T18:30:00.000Z",
"completedAt": "2026-08-18T18:30:00.000Z",
"sourceHealth": [
{
"sourceId": "92340ce0-9843-48dc-8014-d7c21c191b23",
"sourceKind": "work",
"status": "connected",
"cursor": "evt_01J5Y8R4K2",
"lastSuccessfulSyncAt": "2026-08-18T18:30:00.000Z",
"recordsObserved": 0,
"errorCode": null,
"limitations": [
"No limitations reported."
]
}
],
"limitations": [
"No limitations reported."
]
},
"observations": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"sourceKind": "work",
"sourceCursor": "evt_01J5Y8R4K2",
"observedAt": "2026-08-18T18:30:00.000Z",
"capturedAt": "2026-08-18T18:30:00.000Z",
"kind": "work",
"facts": {},
"evidenceRefs": [
{}
],
"claimStatus": "observed",
"confidence": 0,
"freshnessWatermark": "2026-08-18T18:30:00.000Z",
"transformationVersion": "work-v1"
}
],
"processCards": [
{
"processCandidateRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"displayName": "Review the launch plan",
"observedCount": 0,
"confidence": 0,
"automationReadiness": 0
}
],
"confirmedProcessRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"data": {
"run": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"mode": "bounded_sync",
"status": "queued",
"initiatedBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"query": "launch readiness",
"sourceKinds": [
"work"
],
"sourceCursors": {},
"observationCount": 0,
"candidateProcessCardCount": 0,
"citationCount": 0,
"costMicros": "120000",
"confidence": 0,
"startedAt": "2026-08-18T18:30:00.000Z",
"completedAt": "2026-08-18T18:30:00.000Z",
"sourceHealth": [
{
"sourceId": "92340ce0-9843-48dc-8014-d7c21c191b23",
"sourceKind": "work",
"status": "connected",
"cursor": "evt_01J5Y8R4K2",
"lastSuccessfulSyncAt": "2026-08-18T18:30:00.000Z",
"recordsObserved": 0,
"errorCode": null,
"limitations": [
"No limitations reported."
]
}
],
"limitations": [
"No limitations reported."
]
},
"observations": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"sourceKind": "work",
"sourceCursor": "evt_01J5Y8R4K2",
"observedAt": "2026-08-18T18:30:00.000Z",
"capturedAt": "2026-08-18T18:30:00.000Z",
"kind": "work",
"facts": {},
"evidenceRefs": [
{}
],
"claimStatus": "observed",
"confidence": 0,
"freshnessWatermark": "2026-08-18T18:30:00.000Z",
"transformationVersion": "work-v1"
}
],
"processCards": [
{
"processCandidateRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"displayName": "Review the launch plan",
"observedCount": 0,
"confidence": 0,
"automationReadiness": 0
}
],
"confirmedProcessRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
Headers
Workspace-scoped retry key for safe mutation replay.
Required string length:
1 - 200Pattern:
^[A-Za-z0-9][A-Za-z0-9._:/-]{0,199}$Body
application/json
